### Method

# FwupdPlugin Firmware export_to_xml

#### Declaration [src]

    gchar*
    fu_firmware_export_to_xml (
      FuFirmware* self,
      guint64 flags,
      GError** error
    )

#### Description [src]

This allows us to build an XML object for the nested firmware.

Available since: | 1.6.0

#### Parameters

`flags` | `guint64`
| Firmware export flags, e.g. `FU_FIRMWARE_EXPORT_FLAG_INCLUDE_DEBUG`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A string value, or `NULL` for invalid.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.